> ## Documentation Index
> Fetch the complete documentation index at: https://docs.browser.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get task results

> Fetch the final results of a completed task, including output, metadata, and console logs. Use the session ID to identify the task.



## OpenAPI

````yaml GET /results/{session_id}
openapi: 3.0.3
info:
  title: BrowserAI Task API
  version: 1.0.0
  description: API for creating and retrieving browser automation tasks and their results.
servers:
  - url: https://browser.ai/api/v1
security: []
paths:
  /results/{session_id}:
    get:
      tags:
        - Result
      summary: Get task's results.
      description: >-
        Fetch the final results of a completed task, including output, metadata,
        and console logs. Use the session ID to identify the task.
      parameters:
        - name: session_id
          in: path
          required: true
          description: Insert your task’s `session ID` located in your Projects dashboard.
          schema:
            type: string
      responses:
        '200':
          description: Task results
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetResultsResponse'
        '401':
          description: Unauthorized
          content:
            application/json:
              example:
                error: Unauthorized
        '404':
          description: Task not found
          content:
            application/json:
              example:
                error: Task not found
        '500':
          description: Internal server error
          content:
            application/json:
              example:
                error: Internal server error
      security:
        - ApiKeyAuth: []
components:
  schemas:
    GetResultsResponse:
      type: object
      properties:
        executionId:
          type: string
        status:
          type: string
        started:
          type: string
          format: date-time
        completed:
          type: string
          format: date-time
        results:
          type: array
          items:
            $ref: '#/components/schemas/TaskResult'
    TaskResult:
      type: object
      properties:
        model_output:
          type: string
        result:
          type: string
        state:
          type: string
        metadata:
          type: object
        history_index:
          type: integer
        screenshot_url:
          type: string
        html_url:
          type: string
        console_url:
          type: string
        insert_ts:
          type: string
          format: date-time
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: Authorization
      description: 'Insert API token, use the format: `apikey <API-TOKEN>`.'

````